Package ghidra.graph.job

# Class AbstractAnimator

java.lang.Object
ghidra.graph.job.AbstractAnimator

Direct Known Subclasses:
  `EdgeHoverAnimator`, `TwinkleVertexAnimator`

public abstract class AbstractAnimator extends Object

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected org.jdesktop.animation.timing.Animator`
  `animator`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AbstractAnimator()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected abstract org.jdesktop.animation.timing.Animator`
  `createAnimator()`
  `protected abstract void`
  `finished()`
  A callback given when this animator has run to completion.
  `protected void`
  `followOnAnimatorScheduled()`
  `boolean`
  `hasFinished()`
  `boolean`
  `isRunning()`
  `void`
  `setBusyListener(BusyListener listener)`
  `void`
  `start()`
  `void`
  `stop()`
  Stops this animator and all scheduled animators!
  `protected void`
  `stopMe()`
  `protected void`
  `trace(String message)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### animator

    protected org.jdesktop.animation.timing.Animator animator

- ## Constructor Details

  - ### AbstractAnimator

    public AbstractAnimator()

- ## Method Details

  - ### createAnimator

    protected abstract org.jdesktop.animation.timing.Animator createAnimator()

  - ### finished

    protected abstract void finished()
    A callback given when this animator has run to completion. This will be called whether the animator is stopped prematurely or ends naturally.

  - ### setBusyListener

    public void setBusyListener(BusyListener listener)

  - ### followOnAnimatorScheduled

    protected void followOnAnimatorScheduled()

  - ### start

    public void start()

  - ### stop

    public void stop()
    Stops this animator and all scheduled animators!

  - ### stopMe

    protected void stopMe()

  - ### isRunning

    public boolean isRunning()

  - ### hasFinished

    public boolean hasFinished()

  - ### trace

    protected void trace(String message)